//
// This file was generated by the JavaTM Architecture for XML Binding(JAXB) Reference Implementation, v2.3.2 
// See <a href="https://javaee.github.io/jaxb-v2/">https://javaee.github.io/jaxb-v2/</a> 
// Any modifications to this file will be lost upon recompilation of the source schema. 
// Generated on: 2020.02.07 at 09:07:12 PM CET 
//


package org.tdwg.abcd2;

import java.util.ArrayList;
import java.util.List;
import jakarta.xml.bind.annotation.XmlAccessType;
import jakarta.xml.bind.annotation.XmlAccessorType;
import jakarta.xml.bind.annotation.XmlElement;
import jakarta.xml.bind.annotation.XmlSchemaType;
import jakarta.xml.bind.annotation.XmlType;
import jakarta.xml.bind.annotation.adapters.NormalizedStringAdapter;
import jakarta.xml.bind.annotation.adapters.XmlJavaTypeAdapter;


/**
 * Elements only used for units in culture collections
 * 
 * <p>Java class for CultureCollectionUnit complex type.
 * 
 * <p>The following schema fragment specifies the expected content contained within this class.
 * 
 * <pre>
 * &lt;complexType name="CultureCollectionUnit"&gt;
 *   &lt;complexContent&gt;
 *     &lt;restriction base="{http://www.w3.org/2001/XMLSchema}anyType"&gt;
 *       &lt;sequence&gt;
 *         &lt;element name="OrganismType" type="{http://www.tdwg.org/schemas/abcd/3.0}String" minOccurs="0"/&gt;
 *         &lt;element name="InfrasubspecificName" type="{http://www.tdwg.org/schemas/abcd/3.0}String" minOccurs="0"/&gt;
 *         &lt;element name="CultureNames" minOccurs="0"&gt;
 *           &lt;complexType&gt;
 *             &lt;complexContent&gt;
 *               &lt;restriction base="{http://www.w3.org/2001/XMLSchema}anyType"&gt;
 *                 &lt;sequence&gt;
 *                   &lt;element name="CultureName" type="{http://www.tdwg.org/schemas/abcd/3.0}StringL" maxOccurs="unbounded"/&gt;
 *                 &lt;/sequence&gt;
 *               &lt;/restriction&gt;
 *             &lt;/complexContent&gt;
 *           &lt;/complexType&gt;
 *         &lt;/element&gt;
 *         &lt;element name="Strain" type="{http://www.tdwg.org/schemas/abcd/3.0}String" minOccurs="0"/&gt;
 *         &lt;element name="SerovarOrSerotype" type="{http://www.tdwg.org/schemas/abcd/3.0}String" minOccurs="0"/&gt;
 *         &lt;element name="Pathovar" type="{http://www.tdwg.org/schemas/abcd/3.0}String" minOccurs="0"/&gt;
 *         &lt;element name="Mutant" type="{http://www.tdwg.org/schemas/abcd/3.0}String" minOccurs="0"/&gt;
 *         &lt;element name="Genotype" type="{http://www.tdwg.org/schemas/abcd/3.0}String" minOccurs="0"/&gt;
 *         &lt;element name="GrowthConditions" type="{http://www.tdwg.org/schemas/abcd/3.0}StringL" minOccurs="0"/&gt;
 *         &lt;element name="GrowthConditionsAtomized" minOccurs="0"&gt;
 *           &lt;complexType&gt;
 *             &lt;complexContent&gt;
 *               &lt;restriction base="{http://www.w3.org/2001/XMLSchema}anyType"&gt;
 *                 &lt;sequence&gt;
 *                   &lt;element name="GrowthConditionAtomized" type="{http://www.tdwg.org/schemas/abcd/3.0}GrowthConditionAtomized" maxOccurs="unbounded"/&gt;
 *                 &lt;/sequence&gt;
 *               &lt;/restriction&gt;
 *             &lt;/complexContent&gt;
 *           &lt;/complexType&gt;
 *         &lt;/element&gt;
 *         &lt;element name="References" minOccurs="0"&gt;
 *           &lt;complexType&gt;
 *             &lt;complexContent&gt;
 *               &lt;restriction base="{http://www.w3.org/2001/XMLSchema}anyType"&gt;
 *                 &lt;sequence&gt;
 *                   &lt;element name="Reference" type="{http://www.tdwg.org/schemas/abcd/3.0}Reference" maxOccurs="unbounded"/&gt;
 *                 &lt;/sequence&gt;
 *               &lt;/restriction&gt;
 *             &lt;/complexContent&gt;
 *           &lt;/complexType&gt;
 *         &lt;/element&gt;
 *         &lt;element name="FormOfSupply" type="{http://www.tdwg.org/schemas/abcd/3.0}StringL" minOccurs="0"/&gt;
 *         &lt;element name="Applications" type="{http://www.tdwg.org/schemas/abcd/3.0}StringL" minOccurs="0"/&gt;
 *         &lt;element name="Hazard" type="{http://www.tdwg.org/schemas/abcd/3.0}StringL" minOccurs="0"/&gt;
 *       &lt;/sequence&gt;
 *     &lt;/restriction&gt;
 *   &lt;/complexContent&gt;
 * &lt;/complexType&gt;
 * </pre>
 * 
 * 
 */
@XmlAccessorType(XmlAccessType.FIELD)
@XmlType(name = "CultureCollectionUnit", propOrder = {
    "organismType",
    "infrasubspecificName",
    "cultureNames",
    "strain",
    "serovarOrSerotype",
    "pathovar",
    "mutant",
    "genotype",
    "growthConditions",
    "growthConditionsAtomized",
    "references",
    "formOfSupply",
    "applications",
    "hazard"
})
public class CultureCollectionUnit {

    @XmlElement(name = "OrganismType")
    @XmlJavaTypeAdapter(NormalizedStringAdapter.class)
    @XmlSchemaType(name = "normalizedString")
    protected String organismType;
    @XmlElement(name = "InfrasubspecificName")
    @XmlJavaTypeAdapter(NormalizedStringAdapter.class)
    @XmlSchemaType(name = "normalizedString")
    protected String infrasubspecificName;
    @XmlElement(name = "CultureNames")
    protected CultureCollectionUnit.CultureNames cultureNames;
    @XmlElement(name = "Strain")
    @XmlJavaTypeAdapter(NormalizedStringAdapter.class)
    @XmlSchemaType(name = "normalizedString")
    protected String strain;
    @XmlElement(name = "SerovarOrSerotype")
    @XmlJavaTypeAdapter(NormalizedStringAdapter.class)
    @XmlSchemaType(name = "normalizedString")
    protected String serovarOrSerotype;
    @XmlElement(name = "Pathovar")
    @XmlJavaTypeAdapter(NormalizedStringAdapter.class)
    @XmlSchemaType(name = "normalizedString")
    protected String pathovar;
    @XmlElement(name = "Mutant")
    @XmlJavaTypeAdapter(NormalizedStringAdapter.class)
    @XmlSchemaType(name = "normalizedString")
    protected String mutant;
    @XmlElement(name = "Genotype")
    @XmlJavaTypeAdapter(NormalizedStringAdapter.class)
    @XmlSchemaType(name = "normalizedString")
    protected String genotype;
    @XmlElement(name = "GrowthConditions")
    protected StringL growthConditions;
    @XmlElement(name = "GrowthConditionsAtomized")
    protected CultureCollectionUnit.GrowthConditionsAtomized growthConditionsAtomized;
    @XmlElement(name = "References")
    protected CultureCollectionUnit.References references;
    @XmlElement(name = "FormOfSupply")
    protected StringL formOfSupply;
    @XmlElement(name = "Applications")
    protected StringL applications;
    @XmlElement(name = "Hazard")
    protected StringL hazard;

    /**
     * Gets the value of the organismType property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getOrganismType() {
        return organismType;
    }

    /**
     * Sets the value of the organismType property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setOrganismType(String value) {
        this.organismType = value;
    }

    /**
     * Gets the value of the infrasubspecificName property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getInfrasubspecificName() {
        return infrasubspecificName;
    }

    /**
     * Sets the value of the infrasubspecificName property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setInfrasubspecificName(String value) {
        this.infrasubspecificName = value;
    }

    /**
     * Gets the value of the cultureNames property.
     * 
     * @return
     *     possible object is
     *     {@link CultureCollectionUnit.CultureNames }
     *     
     */
    public CultureCollectionUnit.CultureNames getCultureNames() {
        return cultureNames;
    }

    /**
     * Sets the value of the cultureNames property.
     * 
     * @param value
     *     allowed object is
     *     {@link CultureCollectionUnit.CultureNames }
     *     
     */
    public void setCultureNames(CultureCollectionUnit.CultureNames value) {
        this.cultureNames = value;
    }

    /**
     * Gets the value of the strain property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getStrain() {
        return strain;
    }

    /**
     * Sets the value of the strain property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setStrain(String value) {
        this.strain = value;
    }

    /**
     * Gets the value of the serovarOrSerotype property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getSerovarOrSerotype() {
        return serovarOrSerotype;
    }

    /**
     * Sets the value of the serovarOrSerotype property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setSerovarOrSerotype(String value) {
        this.serovarOrSerotype = value;
    }

    /**
     * Gets the value of the pathovar property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getPathovar() {
        return pathovar;
    }

    /**
     * Sets the value of the pathovar property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setPathovar(String value) {
        this.pathovar = value;
    }

    /**
     * Gets the value of the mutant property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getMutant() {
        return mutant;
    }

    /**
     * Sets the value of the mutant property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setMutant(String value) {
        this.mutant = value;
    }

    /**
     * Gets the value of the genotype property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getGenotype() {
        return genotype;
    }

    /**
     * Sets the value of the genotype property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setGenotype(String value) {
        this.genotype = value;
    }

    /**
     * Gets the value of the growthConditions property.
     * 
     * @return
     *     possible object is
     *     {@link StringL }
     *     
     */
    public StringL getGrowthConditions() {
        return growthConditions;
    }

    /**
     * Sets the value of the growthConditions property.
     * 
     * @param value
     *     allowed object is
     *     {@link StringL }
     *     
     */
    public void setGrowthConditions(StringL value) {
        this.growthConditions = value;
    }

    /**
     * Gets the value of the growthConditionsAtomized property.
     * 
     * @return
     *     possible object is
     *     {@link CultureCollectionUnit.GrowthConditionsAtomized }
     *     
     */
    public CultureCollectionUnit.GrowthConditionsAtomized getGrowthConditionsAtomized() {
        return growthConditionsAtomized;
    }

    /**
     * Sets the value of the growthConditionsAtomized property.
     * 
     * @param value
     *     allowed object is
     *     {@link CultureCollectionUnit.GrowthConditionsAtomized }
     *     
     */
    public void setGrowthConditionsAtomized(CultureCollectionUnit.GrowthConditionsAtomized value) {
        this.growthConditionsAtomized = value;
    }

    /**
     * Gets the value of the references property.
     * 
     * @return
     *     possible object is
     *     {@link CultureCollectionUnit.References }
     *     
     */
    public CultureCollectionUnit.References getReferences() {
        return references;
    }

    /**
     * Sets the value of the references property.
     * 
     * @param value
     *     allowed object is
     *     {@link CultureCollectionUnit.References }
     *     
     */
    public void setReferences(CultureCollectionUnit.References value) {
        this.references = value;
    }

    /**
     * Gets the value of the formOfSupply property.
     * 
     * @return
     *     possible object is
     *     {@link StringL }
     *     
     */
    public StringL getFormOfSupply() {
        return formOfSupply;
    }

    /**
     * Sets the value of the formOfSupply property.
     * 
     * @param value
     *     allowed object is
     *     {@link StringL }
     *     
     */
    public void setFormOfSupply(StringL value) {
        this.formOfSupply = value;
    }

    /**
     * Gets the value of the applications property.
     * 
     * @return
     *     possible object is
     *     {@link StringL }
     *     
     */
    public StringL getApplications() {
        return applications;
    }

    /**
     * Sets the value of the applications property.
     * 
     * @param value
     *     allowed object is
     *     {@link StringL }
     *     
     */
    public void setApplications(StringL value) {
        this.applications = value;
    }

    /**
     * Gets the value of the hazard property.
     * 
     * @return
     *     possible object is
     *     {@link StringL }
     *     
     */
    public StringL getHazard() {
        return hazard;
    }

    /**
     * Sets the value of the hazard property.
     * 
     * @param value
     *     allowed object is
     *     {@link StringL }
     *     
     */
    public void setHazard(StringL value) {
        this.hazard = value;
    }


    /**
     * <p>Java class for anonymous complex type.
     * 
     * <p>The following schema fragment specifies the expected content contained within this class.
     * 
     * <pre>
     * &lt;complexType&gt;
     *   &lt;complexContent&gt;
     *     &lt;restriction base="{http://www.w3.org/2001/XMLSchema}anyType"&gt;
     *       &lt;sequence&gt;
     *         &lt;element name="CultureName" type="{http://www.tdwg.org/schemas/abcd/3.0}StringL" maxOccurs="unbounded"/&gt;
     *       &lt;/sequence&gt;
     *     &lt;/restriction&gt;
     *   &lt;/complexContent&gt;
     * &lt;/complexType&gt;
     * </pre>
     * 
     * 
     */
    @XmlAccessorType(XmlAccessType.FIELD)
    @XmlType(name = "", propOrder = {
        "cultureName"
    })
    public static class CultureNames {

        @XmlElement(name = "CultureName", required = true)
        protected List<StringL> cultureName;

        /**
         * Gets the value of the cultureName property.
         * 
         * <p>
         * This accessor method returns a reference to the live list,
         * not a snapshot. Therefore any modification you make to the
         * returned list will be present inside the JAXB object.
         * This is why there is not a <CODE>set</CODE> method for the cultureName property.
         * 
         * <p>
         * For example, to add a new item, do as follows:
         * <pre>
         *    getCultureName().add(newItem);
         * </pre>
         * 
         * 
         * <p>
         * Objects of the following type(s) are allowed in the list
         * {@link StringL }
         * 
         * 
         */
        public List<StringL> getCultureName() {
            if (cultureName == null) {
                cultureName = new ArrayList<StringL>();
            }
            return this.cultureName;
        }

    }


    /**
     * <p>Java class for anonymous complex type.
     * 
     * <p>The following schema fragment specifies the expected content contained within this class.
     * 
     * <pre>
     * &lt;complexType&gt;
     *   &lt;complexContent&gt;
     *     &lt;restriction base="{http://www.w3.org/2001/XMLSchema}anyType"&gt;
     *       &lt;sequence&gt;
     *         &lt;element name="GrowthConditionAtomized" type="{http://www.tdwg.org/schemas/abcd/3.0}GrowthConditionAtomized" maxOccurs="unbounded"/&gt;
     *       &lt;/sequence&gt;
     *     &lt;/restriction&gt;
     *   &lt;/complexContent&gt;
     * &lt;/complexType&gt;
     * </pre>
     * 
     * 
     */
    @XmlAccessorType(XmlAccessType.FIELD)
    @XmlType(name = "", propOrder = {
        "growthConditionAtomized"
    })
    public static class GrowthConditionsAtomized {

        @XmlElement(name = "GrowthConditionAtomized", required = true)
        protected List<GrowthConditionAtomized> growthConditionAtomized;

        /**
         * Gets the value of the growthConditionAtomized property.
         * 
         * <p>
         * This accessor method returns a reference to the live list,
         * not a snapshot. Therefore any modification you make to the
         * returned list will be present inside the JAXB object.
         * This is why there is not a <CODE>set</CODE> method for the growthConditionAtomized property.
         * 
         * <p>
         * For example, to add a new item, do as follows:
         * <pre>
         *    getGrowthConditionAtomized().add(newItem);
         * </pre>
         * 
         * 
         * <p>
         * Objects of the following type(s) are allowed in the list
         * {@link GrowthConditionAtomized }
         * 
         * 
         */
        public List<GrowthConditionAtomized> getGrowthConditionAtomized() {
            if (growthConditionAtomized == null) {
                growthConditionAtomized = new ArrayList<GrowthConditionAtomized>();
            }
            return this.growthConditionAtomized;
        }

    }


    /**
     * <p>Java class for anonymous complex type.
     * 
     * <p>The following schema fragment specifies the expected content contained within this class.
     * 
     * <pre>
     * &lt;complexType&gt;
     *   &lt;complexContent&gt;
     *     &lt;restriction base="{http://www.w3.org/2001/XMLSchema}anyType"&gt;
     *       &lt;sequence&gt;
     *         &lt;element name="Reference" type="{http://www.tdwg.org/schemas/abcd/3.0}Reference" maxOccurs="unbounded"/&gt;
     *       &lt;/sequence&gt;
     *     &lt;/restriction&gt;
     *   &lt;/complexContent&gt;
     * &lt;/complexType&gt;
     * </pre>
     * 
     * 
     */
    @XmlAccessorType(XmlAccessType.FIELD)
    @XmlType(name = "", propOrder = {
        "reference"
    })
    public static class References {

        @XmlElement(name = "Reference", required = true)
        protected List<Reference> reference;

        /**
         * Gets the value of the reference property.
         * 
         * <p>
         * This accessor method returns a reference to the live list,
         * not a snapshot. Therefore any modification you make to the
         * returned list will be present inside the JAXB object.
         * This is why there is not a <CODE>set</CODE> method for the reference property.
         * 
         * <p>
         * For example, to add a new item, do as follows:
         * <pre>
         *    getReference().add(newItem);
         * </pre>
         * 
         * 
         * <p>
         * Objects of the following type(s) are allowed in the list
         * {@link Reference }
         * 
         * 
         */
        public List<Reference> getReference() {
            if (reference == null) {
                reference = new ArrayList<Reference>();
            }
            return this.reference;
        }

    }

}
